Subject: Re: [PATCH net-next v4 07/13] net: wwan: t7xx: Data path HW layer

From: "Martinez, Ricardo" <[email-masked]>
Date: Wed, 2 Feb 2022 18:30:12 -0800

On 2/1/2022 1:08 AM, Ilpo Järvinen wrote:
> On Thu, 13 Jan 2022, Ricardo Martinez wrote:
>
...
>> +static int t7xx_dpmaif_config_dlq_hw(struct dpmaif_ctrl *dpmaif_ctrl)
>> +{
>> +	struct dpmaif_hw_info *hw_info = &dpmaif_ctrl->hif_hw_info;
>> +	struct dpmaif_dl_hwq *dl_hw;
> Only defined in 08. I might have not noticed all missing defs
> so please compile test yourself to find the rest if any.
>
> In general, it would be useful to use, e.g., a shell for loop to compile
> test every change incrementally in the patchset before sending them out.

Compilation is tested in every incremental patch.

This file provides lower level functions used only by code in 08, hence

it is added to the Makefile at 08.

For the next iteration, I'll decouple 07 and 08, but I think it makes 
sense to

keep the Makefile changes at 08 when the functionality is actually added

to the driver.

> Another thing is that the values inside struct dpmaif_dl_hwq are
> just set from constants and never changed anywhere. Why not use
> the constants directly?
>
Agree. Using the constants directly will also help to decouple 07 and 08.

...